P_ID=$(pgrep -f BonusAuthApplication)
if [ -z "$P_ID" ]; then
    echo "BonusAuthApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusFileApplication)
if [ -z "$P_ID" ]; then
    echo "BonusFileApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusGatewayApplication)
if [ -z "$P_ID" ]; then
    echo "BonusGatewayApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusGenApplication)
if [ -z "$P_ID" ]; then
    echo "BonusGenApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusJobApplication)
if [ -z "$P_ID" ]; then
    echo "BonusJobApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusMonitorApplication)
if [ -z "$P_ID" ]; then
    echo "BonusMonitorApplication is not running"
else
    kill -9 "$P_ID"
fi

P_ID=$(pgrep -f BonusSystemApplication)
if [ -z "$P_ID" ]; then
    echo "BonusSystemApplication is not running"
else
    kill -9 "$P_ID"
fi

